lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "DuckLingo/version"

Gem::Specification.new do |spec|
  spec.name          = "DuckLingo"
  spec.version       = DuckLingo::VERSION
  spec.authors       = ["LWFlouisa"]
  spec.email         = ["lwflouisa@riseup.net"]

  spec.summary       = %q{A simple on and offline duolingo alternative.}
  spec.description   = %q{I've always wanted an alternative to Duolingo, but hadn't had the time. Then I realized I could make one with on and offline capabilities using simple machine learning and duck duck go search..}
  spec.homepage      = "https://lwflouisa-ducklingo.glitch.me/README.md"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  
  spec.add_runtime_dependency 'duck-duck-go', '~> 1.1', '>= 1.1.3'
  spec.add_runtime_dependency 'gabbler', '~> 0.1.0'
end
